Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: zenmap crash at startup
From: David Fifield <david () bamsoftware com>
Date: Wed, 21 Nov 2007 16:03:05 -0700

On Wed, Nov 21, 2007 at 04:45:20PM -0600, DePriest, Jason R. wrote:
I just downloaded 4.23RC2.

I didn't have any show-stopping errors during make or make install.

When I try to run zenmap, either directly or from one its symlinks, I
get an immediate crash (below).

I'm running Debian GNU/Linux with kernel 2.6.22-2-k7 and Python 2.4.4.
 This system is an Averatec AV3715-EH1 laptop.

As promised, here is the error information.  I couldn't auto-report it
because I am behind a proxy that requires authentication.

HOOK:
Type: exceptions.ImportError
Value: No module named sqlite3

Thanks for your report. Zenmap requires one of the packages
pysqlite2.dbapi2 (available as an add-on for Python 2.4) or sqlite3
(standard with Python 2.5). The package name for pysqlite2.dbapi2 is
python-pysqlite2 (despite the name, the package is built against
SQLite 3).

I committed a change just a few days ago (after 4.23RC2) that made this
into a plain error message rather than a hard crash.

David Fifield

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://SecLists.Org


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]